NotaryError.TimeWindowInvalid
Keywords: net.corda.core.flows.NotaryError.TimeWindowInvalid class
Date: 2023-09-18

net.corda.core.flows

## Class NotaryError.TimeWindowInvalid

- net.corda.core.flows.NotaryError
- - net.corda.core.flows.NotaryError.TimeWindowInvalid

- Enclosing class:
    NotaryError

      public static class NotaryError.TimeWindowInvalid
      extends NotaryError

  Occurs when time specified in the `class TimeWindow` command is outside the allowed tolerance.

  See Also:
    `class TimeWindow`

- - ### Field Detail

    - #### INSTANCE

          @JvmField
           @NotNull
          public static net.corda.core.flows.NotaryError.TimeWindowInvalid INSTANCE

      Deprecated.

    - #### Companion

          public static net.corda.core.flows.NotaryError.TimeWindowInvalid.Companion Companion

  - ### Constructor Detail

    - #### TimeWindowInvalid

          public TimeWindowInvalid(@NotNull
                                   java.time.Instant currentTime,
                                   @NotNull
                                   TimeWindow txTimeWindow)

      Occurs when time specified in the `class TimeWindow` command is outside the allowed tolerance.

      See Also:
        `class TimeWindow`

  - ### Method Detail

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### getCurrentTime

          @NotNull
          public java.time.Instant getCurrentTime()

    - #### getTxTimeWindow

          @NotNull
          public TimeWindow getTxTimeWindow()

    - #### component1

          @NotNull
          public java.time.Instant component1()

    - #### component2

          @NotNull
          public TimeWindow component2()

    - #### copy

          @NotNull
          public net.corda.core.flows.NotaryError.TimeWindowInvalid copy(@NotNull
                                                                                  java.time.Instant currentTime,
                                                                                  @NotNull
                                                                                  TimeWindow txTimeWindow)

      Occurs when time specified in the `class TimeWindow` command is outside the allowed tolerance.

      See Also:
        `class TimeWindow`

    - #### hashCode

          public int hashCode()

      Occurs when time specified in the `class TimeWindow` command is outside the allowed tolerance.

      See Also:
        `class TimeWindow`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Occurs when time specified in the `class TimeWindow` command is outside the allowed tolerance.

      See Also:
        `class TimeWindow`